Can't read tab labels in Plugin Manager

2017-05-04 06:56 PM - Frank Sokolic

Status: Closed

Priority: Normal

Assignee:

Category: Plugin Manager

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 24422

Description

It is very difficult to read the names of the inactive tabs in the Plugin Manager. The inactive tab names are shown in white text against a

light grey background. I'm using using the Fusion Style with the UI Theme is Default.

Associated revisions

Revision bccba30a - 2017-05-09 03:26 AM - Nyall Dawson

Fix unreadable text in plugin manager (fix #16516)

History

#1 - 2017-05-04 09:56 PM - Giovanni Manghi

- Status changed from Open to Feedback

Is this only a Ubuntu/Unity thing? I'm on Ubuntu/KDE and is ok. I also didn't noticed anything on Windows or macOS.

#2 - 2017-05-05 09:48 AM - Frank Sokolic

I've just checked on my laptap which uses Ubuntu 16.10 and the Gnome desktop and I also get the same problem with the Plugin Manager.

#3 - 2017-05-05 10:26 AM - Harrissou Santanna

- Operating System deleted (Ubuntu 17.04)

Got the same thing on Windows 10 (WindowsVista or Fusion Style, and default UI theme selected)

#4 - 2017-05-05 11:04 AM - Giovanni Manghi

- Status changed from Feedback to Open

#5 - 2017-05-08 11:07 AM - Richard Duivenvoorde

- File pluginsmanagerFusionTheme.png added

- File pluginsmanagerWindowsTheme.png added

I think it depends on the 'Theme' you use?
Here in Debian/Gnome3 I have either 'Fusion' or 'Windows' as Qt theme to choose from, in both it is hardly readable (white text on grey background).

Attached both theme versions. The Windows theme has some padding problems too.

#6 - 2017-05-08 11:59 AM - Jürgen Fischer

- Assignee deleted (Frank Sokolic)

#7 - 2017-05-09 03:27 AM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|bccba30af77ea53371027d6817cbb0713fbf914c.

Files

Plugin_manager.png 120 KB 2017-05-04 Frank Sokolic

pluginsmanagerFusionTheme.png 68.8 KB 2017-05-08 Richard Duivenvoorde

pluginsmanagerWindowsTheme.png 72 KB 2017-05-08 Richard Duivenvoorde
